
From: Dave Airlie <airlied@linux.ie>

drm: fix r128_state.c switch statements..  in drivers/char/drm/r128_state.c
(linux-2.6.12-rc2), some breaks are missing in the switch statement.  See
trivial fix below.

Signed-off-by: Hansjoerg Lipp <hjlipp@web.de>
Signed-off-by: Dave Airlie <airlied@linux.ie>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/drm/r128_state.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN drivers/char/drm/r128_state.c~r128_statec-break-missing-in-switch-statement drivers/char/drm/r128_state.c
--- 25/drivers/char/drm/r128_state.c~r128_statec-break-missing-in-switch-statement	2005-04-06 19:20:49.000000000 -0700
+++ 25-akpm/drivers/char/drm/r128_state.c	2005-04-06 19:20:49.000000000 -0700
@@ -1549,12 +1549,16 @@ static int r128_cce_depth( DRM_IOCTL_ARG
 	switch ( depth.func ) {
 	case R128_WRITE_SPAN:
 		ret = r128_cce_dispatch_write_span( dev, &depth );
+		break;
 	case R128_WRITE_PIXELS:
 		ret = r128_cce_dispatch_write_pixels( dev, &depth );
+		break;
 	case R128_READ_SPAN:
 		ret = r128_cce_dispatch_read_span( dev, &depth );
+		break;
 	case R128_READ_PIXELS:
 		ret = r128_cce_dispatch_read_pixels( dev, &depth );
+		break;
 	}
 
 	COMMIT_RING();
_
